# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-07-26 19:32
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def forward(apps, schema_editor):
    User = apps.get_model("users", "User")
    Profile = apps.get_model("users", "Profile")
    for user in User.objects.all():
        print("Creating Profile for user: %s" % user.username)
        Profile.objects.create(
            user=user,
            name=user.name,
            nickname=user.username,
            email=user.email,
            guid=str(user.guid),
            handle=user.handle,
            rsa_private_key=user.rsa_private_key,
            rsa_public_key=user.rsa_public_key,
            visibility=user.visibility,
        )


def reverse(apps, schema_editor):
    Profile = apps.get_model("users", "Profile")
    Profile.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0011_profile'),
    ]

    operations = [
        RunPython(forward, reverse),
    ]
